Skip to main content

Get Order Info API:

Usage: Use this API to Get Order Info.

Basic Information

NAMEDETAILS
Usage:Mandatory
URL:https://api.rapidshyp.com/rapidshyp/apis/v1/get_orders_info?order_id=%&channel_order_id=%
Request Type:POST
Scheme:HTTPS
Header (content-type):application/json
Header (rapidshyp-token):API-Key

Curl:


curl --location 'https://api.rapidshyp.com/rapidshyp/apis/v1/get_orders_info?order_id=O76886&channel_order_id=56789' \
--header 'Content-Type: application/json' \
--header 'rapidshyp-token:' \
--body ''

Request ParametersRequiredRemarkValidation
{
orderIdMandatoryOrder ID created on Rapid ShypShould be a valid order ID
Channel_order_idMandatoryOrder ID from the channel; if it is default, then same as the orderIdShould be a valid order ID
}

Response:

JSON
{
"status": "SUCCESS",
"remark": "SUCCESS",
"seller_order_id": "1111111111",
"channel_order_id": "1111111111",
"order_status": "PROCESSING",
"store_name": "DEFAULT",
"order_created_date": "2025-09-10 ",
"order_fetched_date": "2025-09-16 ",
"payment_method": "COD",
"shipping_is_billing": true,
"shipping_address": {
"shipping_name": "aabcs",
"shipping_email": "abc@gmail.com",
"shipping_contact": "9999999999",
"shipping_address": "Delhi New Delhi",
"shipping_address_2": "",
"shipping_city": "NEW DELHI",
"shipping_pin_code": "110001",
"shipping_state": "DELHI",
"shipping_country": "INDIA"
},
"billing_address": {
"shipping_name": "aabcs",
"shipping_email": "abc@gmail.com",
"shipping_contact": "9999999999",
"shipping_address": "Delhi New Delhi",
"shipping_address_2": "",
"shipping_city": "NEW DELHI",
"shipping_pin_code": "110001",
"shipping_state": "DELHI",
"shipping_country": "INDIA"
},
"shipment_lines": [
{
"shipment_id": "1111111111",
"pickup_address_name": "Dumbell",
"item_lines": [
{
"item_name": "Mobile",
"sku": "S_S_S_S_S_S_S_S_S_S_S_S-S_S_S_S_S_S_S_S_S_S_S_S_SS_",
"units": 3,
"unit_price": 88.0,
"discount": 6.0,
"hsn": "HSN123",
"tax": 0.0,
"shipping_charges": 12.0,
"selling_price": 264.0
}
],
"shipping_charges": 20.0,
"gift_wrap_charges": 30.0,
"transaction_fee": 20.0,
"discount": 10.0,
"total_prepaid_amount": 0.0,
"sub_total": 440.0,
"cod_charges": 33.92,
"total_shipment_value": 500.0,
"awb": "1111111111111",
"courier_code": "7002",
"courier_name": "EKart Surface 2 Kg",
"parent_courier_name": "Ekart",
"applied_weight": 1600.0,
"routing_code": "PaharganjHub_DEL",
"rto_routing_code": "PaharganjHub_DEL",
"tracking_link": "https://abc.com/t/1111111111"
},
{
"shipment_id": "1111111111",
"pickup_address_name": "Dumbell",
"item_lines": [
{
"item_name": "Product_2",
"sku": "SKU777",
"units": 2,
"unit_price": 88.0,
"discount": 4.0,
"hsn": "HSN456",
"tax": 0.0,
"shipping_charges": 8.0,
"selling_price": 176.0
}
],
"shipping_charges": 20.0,
"gift_wrap_charges": 30.0,
"transaction_fee": 20.0,
"discount": 10.0,
"total_prepaid_amount": 0.0,
"sub_total": 440.0,
"cod_charges": 33.92,
"total_shipment_value": 500.0,
"awb": "1111111111111",
"courier_code": "7002",
"courier_name": "EKart Surface 2 Kg",
"parent_courier_name": "Ekart",
"applied_weight": 1600.0,
"routing_code": "PaharganjHub_DEL",
"rto_routing_code": "PaharganjHub_DEL",
"tracking_link": "https://abc.com/t/1111111111"
}
],
"order_shipping_charges": 20.0,
"order_gift_wrap_charges": 30.0,
"order_transaction_fee": 20.0,
"order_discount": 10.0,
"order_total_prepaid_amount": 0.0,
"cod_charges": 0.0,
"order_total_value": 500.0,
"customer_gstin": ""
}